<?php


/**
 * Implementation of hook_default_view_views().
 */
function aef_easy_view_taxonomy_views_default_views() {

  $view = new view;
  $view->name = 'aef_easy_view_taxonomy';
  $view->description = 'The view used by AEF Easy View Taxonomy.';
  $view->tag = 'default';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('sorts', array(
    'sticky' => array(
      'id' => 'sticky',
      'table' => 'node',
      'field' => 'sticky',
      'order' => 'DESC',
      'relationship' => 'none',
    ),
    'created' => array(
      'id' => 'created',
      'table' => 'node',
      'field' => 'created',
      'order' => 'DESC',
      'granularity' => 'second',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'tid' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'break_phrase' => 1,
      'add_table' => 1,
      'require_value' => 0,
      'reduce_duplicates' => 0,
      'set_breadcrumb' => 0,
      'id' => 'tid',
      'table' => 'term_node',
      'field' => 'tid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '3' => 0,
        '4' => 0,
        '8' => 0,
        '5' => 0,
        '9' => 0,
        '6' => 0,
        '7' => 0,
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'aef_ct_external_link' => 0,
        'aef_ct_rss_feed' => 0,
        'aef_ct_rss_story' => 0,
        'aef_image' => 0,
        'article' => 0,
        'book' => 0,
        'breakingnews' => 0,
        'category_frontpage' => 0,
        'dossier' => 0,
        'edition' => 0,
        'edition_bak' => 0,
        'element_multimedia' => 0,
        'emission' => 0,
        'emission_bak' => 0,
        'emission_header' => 0,
        'feed' => 0,
        'page' => 0,
        'reportage' => 0,
        'special_report' => 0,
        'special_report_bak' => 0,
        'special_report_frontpage' => 0,
        'special_report_frontpage_bak' => 0,
        'story' => 0,
        'test' => 0,
        'test2' => 0,
        'urgent' => 0,
        'urgent_bak' => 0,
        'video' => 0,
        'wire' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '5' => 0,
        '18' => 0,
        '7' => 0,
        '25' => 0,
        '6' => 0,
        '12' => 0,
        '32' => 0,
        '4' => 0,
        '17' => 0,
        '14' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_node_flag_name' => '*relationship*',
      'validate_argument_node_flag_test' => 'flaggable',
      'validate_argument_node_flag_id_type' => 'id',
      'validate_argument_user_flag_name' => '*relationship*',
      'validate_argument_user_flag_test' => 'flaggable',
      'validate_argument_user_flag_id_type' => 'id',
      'validate_argument_php' => '',
    ),
    'tid_1' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'Tous / Toutes',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'ignore',
      'break_phrase' => 1,
      'add_table' => 1,
      'require_value' => 0,
      'reduce_duplicates' => 0,
      'set_breadcrumb' => 0,
      'id' => 'tid_1',
      'table' => 'term_node',
      'field' => 'tid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '11' => 0,
        '21' => 0,
        '3' => 0,
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'aef_ct_external_link' => 0,
        'aef_ct_rss_feed' => 0,
        'aef_ct_rss_story' => 0,
        'article' => 0,
        'article_bienvenue_en_france' => 0,
        'article_externe' => 0,
        'audio' => 0,
        'bblog' => 0,
        'bloc_vignette' => 0,
        'blog' => 0,
        'breakingnews' => 0,
        'categorie_debat' => 0,
        'category_frontpage' => 0,
        'debat' => 0,
        'diaporama' => 0,
        'dossier' => 0,
        'edition' => 0,
        'element_multimedia' => 0,
        'emission' => 0,
        'feed' => 0,
        'finance' => 0,
        'formatimageafp' => 0,
        'home_bienvenue_en_france' => 0,
        'home_personnalite' => 0,
        'home_reportage' => 0,
        'home_rubrique' => 0,
        'home_section_debat' => 0,
        'home_section_dossier' => 0,
        'html_page' => 0,
        'imageafp' => 0,
        'liste_section' => 0,
        'meta' => 0,
        'mobile' => 0,
        'multimedia' => 0,
        'page' => 0,
        'page_pied_site' => 0,
        'personnalite' => 0,
        'photo' => 0,
        'podcast' => 0,
        'prnewswire' => 0,
        'reportage' => 0,
        'revuedepresse' => 0,
        'special_report' => 0,
        'special_report_frontpage' => 0,
        'story' => 0,
        'storyafp' => 0,
        'surcouf' => 0,
        'surfrance24' => 0,
        'tag_metadata' => 0,
        'video' => 0,
        'video_jt_eco_meteo' => 0,
        'wire' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '44' => 0,
        '47' => 0,
        '7' => 0,
        '45' => 0,
        '38' => 0,
        '27' => 0,
        '37' => 0,
        '17' => 0,
        '42' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_node_flag_name' => '*relationship*',
      'validate_argument_node_flag_test' => 'flaggable',
      'validate_argument_node_flag_id_type' => 'id',
      'validate_argument_user_flag_name' => '*relationship*',
      'validate_argument_user_flag_test' => 'flaggable',
      'validate_argument_user_flag_id_type' => 'id',
      'validate_argument_php' => '',
    ),
    'tid_2' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'break_phrase' => 1,
      'add_table' => 1,
      'require_value' => 0,
      'reduce_duplicates' => 0,
      'set_breadcrumb' => 0,
      'id' => 'tid_2',
      'table' => 'term_node',
      'field' => 'tid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '3' => 0,
        '4' => 0,
        '8' => 0,
        '5' => 0,
        '9' => 0,
        '6' => 0,
        '7' => 0,
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'aef_ct_external_link' => 0,
        'aef_ct_rss_feed' => 0,
        'aef_ct_rss_story' => 0,
        'aef_image' => 0,
        'article' => 0,
        'book' => 0,
        'breakingnews' => 0,
        'category_frontpage' => 0,
        'dossier' => 0,
        'edition' => 0,
        'edition_bak' => 0,
        'element_multimedia' => 0,
        'emission' => 0,
        'emission_bak' => 0,
        'emission_header' => 0,
        'feed' => 0,
        'page' => 0,
        'reportage' => 0,
        'special_report' => 0,
        'special_report_bak' => 0,
        'special_report_frontpage' => 0,
        'special_report_frontpage_bak' => 0,
        'story' => 0,
        'test' => 0,
        'test2' => 0,
        'urgent' => 0,
        'urgent_bak' => 0,
        'video' => 0,
        'wire' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '5' => 0,
        '18' => 0,
        '7' => 0,
        '25' => 0,
        '6' => 0,
        '12' => 0,
        '32' => 0,
        '4' => 0,
        '17' => 0,
        '14' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_node_flag_name' => '*relationship*',
      'validate_argument_node_flag_test' => 'flaggable',
      'validate_argument_node_flag_id_type' => 'id',
      'validate_argument_user_flag_name' => '*relationship*',
      'validate_argument_user_flag_test' => 'flaggable',
      'validate_argument_user_flag_id_type' => 'id',
      'validate_argument_php' => '',
    ),
    'tid_3' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'break_phrase' => 1,
      'add_table' => 1,
      'require_value' => 0,
      'reduce_duplicates' => 0,
      'set_breadcrumb' => 0,
      'id' => 'tid_3',
      'table' => 'term_node',
      'field' => 'tid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '3' => 0,
        '4' => 0,
        '8' => 0,
        '5' => 0,
        '9' => 0,
        '6' => 0,
        '7' => 0,
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'aef_ct_external_link' => 0,
        'aef_ct_rss_feed' => 0,
        'aef_ct_rss_story' => 0,
        'aef_image' => 0,
        'article' => 0,
        'book' => 0,
        'breakingnews' => 0,
        'category_frontpage' => 0,
        'dossier' => 0,
        'edition' => 0,
        'edition_bak' => 0,
        'element_multimedia' => 0,
        'emission' => 0,
        'emission_bak' => 0,
        'emission_header' => 0,
        'feed' => 0,
        'page' => 0,
        'reportage' => 0,
        'special_report' => 0,
        'special_report_bak' => 0,
        'special_report_frontpage' => 0,
        'special_report_frontpage_bak' => 0,
        'story' => 0,
        'test' => 0,
        'test2' => 0,
        'urgent' => 0,
        'urgent_bak' => 0,
        'video' => 0,
        'wire' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '5' => 0,
        '18' => 0,
        '7' => 0,
        '25' => 0,
        '6' => 0,
        '12' => 0,
        '32' => 0,
        '4' => 0,
        '17' => 0,
        '14' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_node_flag_name' => '*relationship*',
      'validate_argument_node_flag_test' => 'flaggable',
      'validate_argument_node_flag_id_type' => 'id',
      'validate_argument_user_flag_name' => '*relationship*',
      'validate_argument_user_flag_test' => 'flaggable',
      'validate_argument_user_flag_id_type' => 'id',
      'validate_argument_php' => '',
    ),
    'tid_4' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'break_phrase' => 1,
      'add_table' => 1,
      'require_value' => 0,
      'reduce_duplicates' => 0,
      'set_breadcrumb' => 0,
      'id' => 'tid_4',
      'table' => 'term_node',
      'field' => 'tid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '3' => 0,
        '4' => 0,
        '8' => 0,
        '5' => 0,
        '9' => 0,
        '6' => 0,
        '7' => 0,
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'aef_ct_external_link' => 0,
        'aef_ct_rss_feed' => 0,
        'aef_ct_rss_story' => 0,
        'aef_image' => 0,
        'article' => 0,
        'book' => 0,
        'breakingnews' => 0,
        'category_frontpage' => 0,
        'dossier' => 0,
        'edition' => 0,
        'edition_bak' => 0,
        'element_multimedia' => 0,
        'emission' => 0,
        'emission_bak' => 0,
        'emission_header' => 0,
        'feed' => 0,
        'page' => 0,
        'reportage' => 0,
        'special_report' => 0,
        'special_report_bak' => 0,
        'special_report_frontpage' => 0,
        'special_report_frontpage_bak' => 0,
        'story' => 0,
        'test' => 0,
        'test2' => 0,
        'urgent' => 0,
        'urgent_bak' => 0,
        'video' => 0,
        'wire' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '5' => 0,
        '18' => 0,
        '7' => 0,
        '25' => 0,
        '6' => 0,
        '12' => 0,
        '32' => 0,
        '4' => 0,
        '17' => 0,
        '14' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_node_flag_name' => '*relationship*',
      'validate_argument_node_flag_test' => 'flaggable',
      'validate_argument_node_flag_id_type' => 'id',
      'validate_argument_user_flag_name' => '*relationship*',
      'validate_argument_user_flag_test' => 'flaggable',
      'validate_argument_user_flag_id_type' => 'id',
      'validate_argument_php' => '',
    ),
    'type' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '3' => 0,
        '4' => 0,
        '8' => 0,
        '5' => 0,
        '9' => 0,
        '6' => 0,
        '7' => 0,
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'aef_ct_rss_feed' => 0,
        'aef_ct_rss_story' => 0,
        'article' => 0,
        'book' => 0,
        'breakingnews' => 0,
        'category_frontpage' => 0,
        'dossier' => 0,
        'edition' => 0,
        'edition_bak' => 0,
        'element_multimedia' => 0,
        'emission' => 0,
        'emission_bak' => 0,
        'feed' => 0,
        'page' => 0,
        'reportage' => 0,
        'special_report' => 0,
        'special_report_bak' => 0,
        'special_report_frontpage' => 0,
        'special_report_frontpage_bak' => 0,
        'story' => 0,
        'test' => 0,
        'urgent' => 0,
        'urgent_bak' => 0,
        'video' => 0,
        'wire' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '5' => 0,
        '10' => 0,
        '7' => 0,
        '6' => 0,
        '12' => 0,
        '4' => 0,
        '17' => 0,
        '14' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_node_flag_name' => '*relationship*',
      'validate_argument_node_flag_test' => 'flaggable',
      'validate_argument_node_flag_id_type' => 'id',
      'validate_argument_user_flag_name' => '*relationship*',
      'validate_argument_user_flag_test' => 'flaggable',
      'validate_argument_user_flag_id_type' => 'id',
      'validate_argument_php' => '',
    ),
    'date_argument' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'date_fields' => array(
        'node.created' => 'node.created',
      ),
      'year_range' => '1970:2050',
      'date_method' => 'OR',
      'granularity' => 'day',
      'id' => 'date_argument',
      'table' => 'node',
      'field' => 'date_argument',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
        '3' => 0,
        '4' => 0,
        '8' => 0,
        '5' => 0,
        '9' => 0,
        '6' => 0,
        '7' => 0,
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'aef_ct_rss_feed' => 0,
        'aef_ct_rss_story' => 0,
        'article' => 0,
        'book' => 0,
        'breakingnews' => 0,
        'category_frontpage' => 0,
        'dossier' => 0,
        'edition' => 0,
        'edition_bak' => 0,
        'element_multimedia' => 0,
        'emission' => 0,
        'emission_bak' => 0,
        'feed' => 0,
        'page' => 0,
        'reportage' => 0,
        'special_report' => 0,
        'special_report_bak' => 0,
        'special_report_frontpage' => 0,
        'special_report_frontpage_bak' => 0,
        'story' => 0,
        'test' => 0,
        'urgent' => 0,
        'urgent_bak' => 0,
        'video' => 0,
        'wire' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '5' => 0,
        '10' => 0,
        '7' => 0,
        '6' => 0,
        '12' => 0,
        '4' => 0,
        '17' => 0,
        '14' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_node_flag_name' => '*relationship*',
      'validate_argument_node_flag_test' => 'flaggable',
      'validate_argument_node_flag_id_type' => 'id',
      'validate_argument_user_flag_name' => '*relationship*',
      'validate_argument_user_flag_test' => 'flaggable',
      'validate_argument_user_flag_id_type' => 'id',
      'validate_argument_php' => '',
    ),
  ));
  $handler->override_option('filters', array(
    'status' => array(
      'id' => 'status',
      'table' => 'node',
      'field' => 'status',
      'operator' => '=',
      'value' => '1',
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'relationship' => 'none',
    ),
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'article' => 'article',
        'article_bienvenue_en_france' => 'article_bienvenue_en_france',
        'debat' => 'debat',
        'dossier' => 'dossier',
        'edition' => 'edition',
        'personnalite' => 'personnalite',
        'reportage' => 'reportage',
        'revuedepresse' => 'revuedepresse',
        'special_report' => 'special_report',
        'story' => 'story',
        'wire' => 'wire',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
    'role' => array(),
    'perm' => '',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('use_pager', '1');
  $handler->override_option('distinct', 0);
  $handler->override_option('row_plugin', 'node_cck_formatter');
  $handler->override_option('row_options', array(
    'relationship' => 'none',
    'cck_formatter' => 'aef_node_formatter_proxy_full_width_teaser',
  ));
  $handler = $view->new_display('feed', 'Main feed', 'feed_2');
  $handler->override_option('style_plugin', 'rss');
  $handler->override_option('style_options', array(
    'mission_description' => FALSE,
    'description' => '',
  ));
  $handler->override_option('row_plugin', 'node_rss');
  $handler->override_option('row_options', array(
    'relationship' => 'none',
    'item_length' => 'default',
  ));
  $handler->override_option('path', 'taxonomy/term2/feed');
  $handler->override_option('menu', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
  ));
  $handler->override_option('displays', array(
    'default' => 0,
  ));
  $handler->override_option('sitename_title', FALSE);





  $views[$view->name] = $view;

  return $views;
}
